datablock AudioProfile(RobloxDeathSound) {
	fileName = "./death.wav";
	description = AudioClose3d;
	preload = true;
};

datablock AudioProfile(RobloxPainSound : RobloxDeathSound) {
	fileName = "./pain.wav";
};

datablock AudioProfile(RobloxJumpSound : RobloxDeathSound) {
	fileName = "./jump.wav";
};

datablock TSShapeConstructor(RobloxDts) {
	baseShape = "base/data/shapes/player/robloxian.dts";
	sequence0 = "./roblox_root.dsq root";

	sequence1  = "./roblox_run.dsq run";
	sequence2  = "./roblox_run.dsq walk";
	sequence3  = "./roblox_run.dsq back";
	sequence4  = "./roblox_run.dsq side";

	sequence5  = "./roblox_root.dsq crouch";
	sequence6  = "./roblox_run.dsq crouchRun";
	sequence7  = "./roblox_run.dsq crouchBack";
	sequence8  = "./roblox_run.dsq crouchSide";

	sequence9  = "./roblox_root.dsq look";
	sequence10 = "./roblox_root.dsq headside";
	sequence11 = "./roblox_root.dsq headUp";

	sequence12 = "./roblox_jump.dsq jump";
	sequence13 = "./roblox_jump.dsq standjump";
	sequence14 = "./roblox_fall.dsq fall";
	sequence15 = "./roblox_root.dsq land";

	sequence16 = "./roblox_armattack.dsq armAttack";
	sequence17 = "./roblox_armreadyleft.dsq armReadyLeft";
	sequence18 = "./roblox_armreadyright.dsq armReadyRight";
	sequence19 = "./roblox_armreadyboth.dsq armReadyBoth";
	sequence20 = "./roblox_spearready.dsq spearready";  
	sequence21 = "./roblox_spearthrow.dsq spearThrow";

	sequence22 = "./roblox_root.dsq talk";  

	sequence23 = "./roblox_death.dsq death1"; 
	
	sequence24 = "./roblox_root.dsq shiftUp";
	sequence25 = "./roblox_root.dsq shiftDown";
	sequence26 = "./roblox_root.dsq shiftAway";
	sequence27 = "./roblox_root.dsq shiftTo";
	sequence28 = "./roblox_root.dsq shiftLeft";
	sequence29 = "./roblox_root.dsq shiftRight";
	sequence30 = "./roblox_root.dsq rotCW";
	sequence31 = "./roblox_root.dsq rotCCW";

	sequence32 = "./roblox_root.dsq undo";
	sequence33 = "./roblox_root.dsq plant";

	sequence34 = "./roblox_sit.dsq sit";

	sequence35 = "./roblox_wrench.dsq wrench";

	sequence36 = "./roblox_root.dsq activate";
	sequence37 = "./roblox_root.dsq activate2";

	sequence38 = "./roblox_root.dsq leftrecoil";
};

datablock PlayerData(RobloxArmor : PlayerStandardArmor) {
	shapeFile = "base/data/shapes/player/robloxian.dts";
	uiName = "Robloxian";
	useCustomPainEffects = true;
	PainSound = RobloxPainSound;
	DeathSound = RobloxDeathSound;
	JumpSound = RobloxJumpSound;
	airControl = 1;
	canJet = 0;
	jumpForce = 1000;
	boundingBox		= vectorScale("0.9 0.9 2.25", 4);
	crouchBoundingBox	= vectorScale("0.9 0.9 2.25", 4);
	
	runSurfaceAngle = "90";
	minImpactSpeed = "201";

	maxForwardSpeed = 7;
	maxBackwardSpeed = 7;
	maxSideSpeed = 7;

	maxForwardCrouchSpeed = 7;
	maxBackwardCrouchSpeed = 7;
	maxSideCrouchSpeed = 7;
};

package bodyColors
{
	function GameConnection::applyBodyColors(%client)
	{
		Parent::applyBodyColors(%client);
		if(%client.player.dataBlock $= "RobloxArmor")
		{
			%client.player.setNodeColor("RArm",%client.rHandColor);
			%client.player.setNodeColor("LArm",%client.lHandColor);
			%client.player.setNodeColor("Head",%client.headcolor);
			%client.player.setNodeColor("LLeg",%client.lLegColor);
			%client.player.setNodeColor("RLeg",%client.rLegColor);
			%client.player.setNodeColor("Torso",%client.chestColor);
			%client.player.setFaceName(%client.faceName);
			%client.player.setDecalName(%client.decalName);
			//%client.player.setRepairRate(0.025);
		}
	}
};
activatePackage(bodyColors);